summaryrefslogtreecommitdiff
path: root/script
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2024-06-07 10:32:39 +0100
committerLeah Rowe <leah@libreboot.org>2024-06-07 10:32:39 +0100
commit06c78e1321736ed135c01d5ae11e3e0a47887137 (patch)
treeb57934c1ff991cc784b00719e2d5620bc3cf20bb /script
parentdea41f138a0802d73da118c0f17cf50d3d66ea1e (diff)
trees: don't say check elf/ if build.list missing
(on single tree projects. this complements the last patch) Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'script')
-rwxr-xr-xscript/trees3
1 files changed, 3 insertions, 0 deletions
diff --git a/script/trees b/script/trees
index 45d2a35e..34397edd 100755
--- a/script/trees
+++ b/script/trees
@@ -46,6 +46,8 @@ main()
$_cmd $@
[ "$target1" = "utils" ] && [ "$project" = "coreboot" ] && return 0
+
+ [ -f "$listfile" ] || return 0
[ -z "$mode" ] && printf "\n\nDone! Check %s/\n\n" "$elfdir"; return 0
}
@@ -68,6 +70,7 @@ build_projects()
[ "$mode" = "distclean" ] && mode="clean"
run_make_command || return 0
+ [ -f "$listfile" ] || return 0
[ -n "$mode" ] || x_ mkdir -p "$elfdir"
[ -n "$mode" ] || copy_elf; return 0
}